Subject: Re: bug#20240: 25.0.50; CC Mode broken fontification and commenting

From: Mark Oteiza <[email-masked]>
Date: Wed, 01 Apr 2015 16:04:59 -0400

Alan Mackenzie <[email-masked]> writes:

> In article <[email-masked]> you wrote:
>>>>From emacs -Q:
>
>> 1. C-x C-f foo.c RET
>> 2. Insert: { RET }
>> 3. Select the first line and M-;
>
>> Only `/* ` is inserted at the beginning of the buffer, which is wrong.
>
> It actually signals an error at that point, which is indeed wrong.

Ah, I missed it then, thanks.

> I've just committed a fix to the Emacs repository.  Could you please update
> your sources, rebuild, and confirm that the fix works, please.
>
> Thanks for taking the trouble to report this bug.

You're welcome. You fixed the example I gave, but as it turns out my
example was too minimal. Hopefully this is better: uncommenting the
commented line in the following will signal a jit-lock error

int main(void) {
  for(;;) {
    /* return 0; */
  }
}

Repeating M-; on that line, eventually I get `return 0;` uncommented but
fontified as a comment.